<#******************************************************************************
* **************************************************************************** *
* *                                                                          * *
* *   	.UTILISATION:                                                        * *
* *       	Ce fichier permet d'effectuer la dsinstallation de la trousse.  * *
* *                                                                          * *
* *   	.DESCRIPTION :                                                       * *
* *       	Ce fichier sert lors de la gnration du fichier uninstall.ps1   * *
* *       	qui sera dpos localement lors de l'installation de la trousse. * *
* *                                                                          * *
* *	  	.AUTHEURS :                                                          * *
* *			NOM : Jacques Bouchard      DATE : 3 mars 2014		 	 	     * *
* *                                                                          * *
* *	  	.MODIFICATIONS :                                                     * *
* *			NOM : Mathieu Fairservice   DATE : 16 novembre 2015              * *
* *			DESCRIPTION :                                                     * *
* *			NOM :  Alain Murray    DATE :  2017-08-01                        * *
* *			DESCRIPTION : Suppression Windows XP et GRTC		             * *
* *																			 * *
* *		.VERSION :															 * *
* *			Gabarit V07						DATE : Novembre 2013			 * *
* *                                                                          * *
* **************************************************************************** *
******************************************************************************#>

$linksToDelete = "Portail libre-service.rdp","DSQ Production.lnk","DSQ Formation.lnk"
$pathInstallActiveX = "$env:Windir\Downloaded Program Files"
$filesToDelete = "atl80.dll","crypt32.dll","CryptoHelper.inf","CryptoHelperATL.dll","mfc80.dll","Microsoft.VC80.ATL.manifest","Microsoft.VC80.CRT.manifest","Microsoft.VC80.MFC.manifest","msvcm80.dll","msvcr80.dll"

#*******************************************************************************
#         				FONCTIONS SPCIFIQUES A CETTE TROUSSE  		           *
#*******************************************************************************


#*******************************************************************************
#         FONCTIONS DE DSINSTALLATION SPCIFIQUES A CETTE TROUSSE             *
#*******************************************************************************

Write-log "I" "Suppression des raccourcis"
foreach($link in $linksToDelete){
	Delete-File-Folder -RepToDelete "$AllUserDesktop" -FilesToDelete "$link"
}
 
# *****  Dsenregistrement du fichier .dll  *****
 Write-log "I" "Dsenregistrement des extensions .dll du visualiseur"
	CMD-Exec -PathToExec "$env:Windir\system32\cmd.exe" `
		-ParamToPush "/c regsvr32 ""$pathInstallActiveX\CryptoHelperATL.dll"" /u /s"

# *****  Suppression des fichier de l'ActiveX  ***** 
 Write-log "I" "Suppression des fichiers de l'ActiveX"
foreach($file in $filesToDelete){
	Delete-File-Folder -RepToDelete "$pathInstallActiveX" -FilesToDelete "$file"
}

Write-log "I" "Suppression des pilotes" 
Delete-File-Folder -RepToDelete "$env:Windir\inf\Gemalto\SCReader"	-FilesToDelete "*" -Recursive
Delete-File-Folder -RepToDelete "$env:Windir\inf\Gemalto\SC"	-FilesToDelete "*" -Recursive
Delete-File-Folder -RepToDelete "$env:Windir\inf\Gemalto"	-FilesToDelete "*" -Recursive

# *****  Suppression de l'icne  ***** 
Delete-File-Folder -RepToDelete "$env:Windir\system32"	-FilesToDelete "LogoDSQ.ico"